# $Id: mpg123.spec 4845 2006-10-21 23:31:54Z dag $
# Authority: matthias

%define audio pulse

%define _without_jack 1
%define _without_nas 1

Summary: MPEG audio player
Name: mpg123
Version: 1.12.1
Release: 1%{?dist}
License: GPL/LGPL
Group: Applications/Multimedia
URL: http://mpg123.org/
Source: http://mpg123.org/download/mpg123-%{version}.tar.bz2
# Packager: Dries Verachtert <dries@ulyssis.org>
# Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: pkgconfig
BuildRequires: SDL-devel
BuildRequires: portaudio-devel
# We actually only need one, but it doesn't hurt to have them all
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: esound-devel
BuildRequires: nas-devel
BuildRequires: alsa-lib-devel
BuildRequires: arts-devel
BuildRequires: pulseaudio-libs-devel
Obsoletes: mpg321 <= 0.2.10-9

%description
Real time command line MPEG audio player for Layer 1, 2 and Layer3.

Available rpmbuild rebuild option :
--define 'audio {alsa,arts,esd,jack,nas,oss,portaudio,pulse,sdl}'


%prep
%setup -q


%build
%configure \
    --program-prefix="%{?_program_prefix}" \
    --enable-gapless="yes" \
    --with-default-audio="%{audio}"
#    --with-audio=alsa,arts,esd,jack,nas,oss,portaudio,sdl
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README doc/
%{_bindir}/mpg123
%{_includedir}/mpg123.h
%{_libdir}/libmpg123.*
%{_libdir}/pkgconfig/libmpg123.pc
%{_mandir}/man1/mpg123.1*


%changelog
* Wed Jun 16 2010 J. Randall Owens <jrowens@altair.dyn.ghiapet.net> - 1.12.1-1
- update to version 1.12.1
- rebuild for GhiaPet/Fedora 13

* Sun Oct 22 2006 Dag Wieers <dag@wieers.com> - 0.61-1 #4845
- Updated to release 0.61.

* Mon Sep  4 2006 Matthias Saou <http://freshrpms.net/> 0.60-1
- Update to 0.60 final.
- Add support for all available compatible outputs, unfortunately it's a build
  time choice, so default to alsa.
- Obsolete mpg321 up to the last know package version.

* Tue Jul 25 2006 Matthias Saou <http://freshrpms.net/> 0.60-0.1.beta2
- Initial RPM release, now that mpg123 is maintained again and went GPL/LGPL.
- Audio output type is not (yet?) plugin-based, so use libao (for ALSA).
